gr::gsm::controlled_rotator_cc_impl Class Reference

`#include <controlled_rotator_cc_impl.h>`

Inheritance diagram for gr::gsm::controlled_rotator_cc_impl:

## Public Member Functions

| controlled_rotator_cc_impl (double phase_inc)
| ~controlled_rotator_cc_impl ()
virtual void | set_phase_inc (double phase_inc)
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::gsm::controlled_rotator_cc
typedef std::shared_ptr< controlled_rotator_cc > | sptr
Static Public Member Functions inherited from gr::gsm::controlled_rotator_cc
static sptr | make (double phase_inc)
| Return a shared_ptr to a new instance of gsm::controlled_rotator_cc.

## Constructor & Destructor Documentation

## controlled_rotator_cc_impl()

gr::gsm::controlled_rotator_cc_impl::controlled_rotator_cc_impl | ( | double | phase_inc | ) |

## ~controlled_rotator_cc_impl()

gr::gsm::controlled_rotator_cc_impl::~controlled_rotator_cc_impl | ( |  | ) |

## Member Function Documentation

## set_phase_inc()

virtual void gr::gsm::controlled_rotator_cc_impl::set_phase_inc | ( | double | phase_inc | ) |

virtual

Implements gr::gsm::controlled_rotator_cc.

## work()

int gr::gsm::controlled_rotator_cc_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- controlled_rotator_cc_impl.h